# Gtk::TreeIterBase Class Reference
[TreeView Classes]

Inherited by Gtk::TreeIter.

List of all members.

## Public Member Functions

| TreeIterBase ()
| TreeIterBase (const GtkTreeIter* gobject)
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance.
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance.

## Protected Attributes

GtkTreeIter | gobject_

## Constructor & Destructor Documentation

Gtk::TreeIterBase::TreeIterBase | ( |  | ) |

Gtk::TreeIterBase::TreeIterBase | ( | const GtkTreeIter * | gobject | ) | `[explicit]`

## Member Function Documentation

const GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

Reimplemented in Gtk::TreeRow.

GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

Reimplemented in Gtk::TreeRow.

## Member Data Documentation

GtkTreeIter Gtk::TreeIterBase::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- gtkmm/treeiter.h